camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Johan Edstrom <seij...@gmail.com>
Subject Re: [VOTE] Release Apache Camel 2.9.0
Date Wed, 21 Dec 2011 18:03:18 GMT
How are you deploying this - clean karaf 2.2.4?

I just did the same in karaf 2.2.4 and camel copied from the 2.9.0 staging tars, 
That export should be coming from a system bundle, servicemix-stax

Apache ServiceMix :: Specs :: Stax API 1.0 (128)
------------------------------------------------
Manifest-Version = 1.0
Bnd-LastModified = 1319812232098
Tool = Bnd-0.0.357
Built-By = gert
Implementation-Version = 1.9.0
Build-Jdk = 1.6.0_26
Created-By = Apache Maven Bundle Plugin
Implementation-Title = Apache ServiceMix

Bundle-Vendor = The Apache Software Foundation
Bundle-Activator = org.apache.servicemix.specs.locator.Activator
Bundle-Name = Apache ServiceMix :: Specs :: Stax API 1.0
Bundle-DocURL = http://www.apache.org/
Bundle-Description = This pom provides project information that is common to all ServiceMix
branches.
Bundle-SymbolicName = org.apache.servicemix.specs.stax-api-1.0
Bundle-Version = 1.9.0
Bundle-License = http://www.apache.org/licenses/LICENSE-2.0.txt
Bundle-ManifestVersion = 2

Import-Package = 
	javax.xml.namespace,
	javax.xml.stream;version=1.0,
	javax.xml.stream.events;version=1.0,
	javax.xml.stream.util;version=1.0,
	javax.xml.transform,
	org.osgi.framework;version=1.5
Export-Package = 
	javax.xml.stream;uses:="javax.xml.stream.events,javax.xml.namespace,javax.xml.stream.util,javax.xml.transform";version=1.0.1,
	javax.xml.stream.util;uses:="javax.xml.stream,javax.xml.stream.events,javax.xml.namespace";version=1.0.1,
	javax.xml.stream.events;uses:="javax.xml.namespace,javax.xml.stream";version=1.0.1


karaf@savoir> packages:exports | grep javax.xml.stream
     0 # javax.xml.stream; version="0.0.0"     
     0 # javax.xml.stream.events; version="0.0.0"
     0 # javax.xml.stream.util; version="0.0.0"
   128 javax.xml.stream; version="1.0.1"       
   128 javax.xml.stream.util; version="1.0.1"  
   128 javax.xml.stream.events; version="1.0.1"


On Dec 21, 2011, at 10:51 AM, Christian Müller wrote:

> By installing camel-atom, I hit the following exception:
> 
> karaf@root> features:install camel-atom
> Error executing command: Could not start bundle
> mvn:org.apache.abdera/abdera-core/1.1.2 in feature(s) camel-atom-2.9.0,
> cxf-abdera-2.5.1: Unresolved constraint in bundle org.apache.abdera.core
> [62]: Unable to resolve 62.0: missing requirement [62.0] package;
> (&(package=javax.xml.stream)(version>=1.0.0)(!(version>=2.0.0)))
> 
> Best,
> Christian


Mime
View raw message